summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-02-18 04:27:53 +0100
committerMichał Górny <mgorny@gentoo.org>2026-02-18 04:52:43 +0100
commit0680a27739bf2f6fc61285188038fe8331afbcd9 (patch)
tree498c6ffb178cfd3e3f20dd9b9d6f66f2d21d6b30 /dev-python
parent9e575845e4c1aef33cea067b4c2fcf6b52349d26 (diff)
downloadgentoo-0680a27739bf2f6fc61285188038fe8331afbcd9.tar.gz
gentoo-0680a27739bf2f6fc61285188038fe8331afbcd9.tar.bz2
gentoo-0680a27739bf2f6fc61285188038fe8331afbcd9.zip
dev-python/openapi-spec-validator: Bump to 0.8.0_beta3
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/openapi-spec-validator/Manifest2
-rw-r--r--dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta3.ebuild55
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/openapi-spec-validator/Manifest b/dev-python/openapi-spec-validator/Manifest
index ba04cfbe0198..2fe93b1523d5 100644
--- a/dev-python/openapi-spec-validator/Manifest
+++ b/dev-python/openapi-spec-validator/Manifest
@@ -2,3 +2,5 @@ DIST openapi_spec_validator-0.7.2.tar.gz 36855 BLAKE2B 87914f72a4bcaa2a1b190902b
DIST openapi_spec_validator-0.8.0b1.tar.gz 37067 BLAKE2B 63db2482dbde6e2aab4c7030c5414359368c93483f9dfb9f0ee18842f404ac963ae2d6985592ad79afd382bc4326380021f5a9a49cd1fc44e1ca52e505d07c31 SHA512 d7b112ccd473fb026f9241894f9d8709c50f5b500d1bff945f40ce197f6511bc15ec6f8f8b346243f6d9d4ee803cb7268e172bfce2f1bff2a87bc8c5907a166d
DIST openapi_spec_validator-0.8.0b2.tar.gz 1744624 BLAKE2B 4fba95e782c3135a48e552dbedb7dc772d4854dbef1f4a9077628ac6a8acf614cc4747fe346a17ecf8ae1a5368ecfe12313780131e8dacb2246848fcaebd19a2 SHA512 3c71a10b310fe53e6d1ff1dedf957fbdf8cdbc1d593c03f47d7cee88b260a291cd8ebb3ee2a812592ad2f97d53c0870c8b7caafec9acf14320e53ac58f411a5e
DIST openapi_spec_validator-0.8.0b2.tar.gz.provenance 9947 BLAKE2B 740ee9b414612ae2099c5f0c6450b4f64775d96c894ab94c6cc001f1c7436bf01ea4e4e58184b0697ae770e2040ab57c3c71c1e1423e8dbf57b44d6f1829c46e SHA512 f2e00ff25754c65de4c7cb29c35c715a566f49e932e2c6a5cbc784c963b169e4bf1d7ad6d13cf9dd9926dee0a8a8b581c6952c0e9e5b164f0f2062a84b3bc5ff
+DIST openapi_spec_validator-0.8.0b3.tar.gz 1744633 BLAKE2B 65b2c0961960a3a26fe8a0225148d643dba16e2e77403f5ff3d0fa48f5a5675759a6f615be30cd3a63fa060ac9102a802072c9c70ece8fbd9a1f2155b264c471 SHA512 d71b56936c27438831c3972d97079dbc078258c20f53b48c9d7bbdeffa457e61b2208e71f329e781069c29c8fa8f03a3f0f81e5705242bc012bd002257dc0df8
+DIST openapi_spec_validator-0.8.0b3.tar.gz.provenance 10006 BLAKE2B 4a7add3d34ecca72e60de61e4cc62e547d5f85ba53e132afb3f6637c2ce113b4b2835b1a138789997d97cb960507023818ee2c9ae67003f6fbdd80826ee4c074 SHA512 a0291c8e9f8550432bdbc5ae4a3f1866e20d45251f867741f0d059f1512b31808008771db078699c010448de0a70f08f3d71e4823adbc51e276cd09eacc600a9
diff --git a/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta3.ebuild b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta3.ebuild
new file mode 100644
index 000000000000..efe97f883f86
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0_beta3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYPI_VERIFY_REPO=https://github.com/python-openapi/openapi-spec-validator
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+RDEPEND="
+ >=dev-python/jsonschema-4.24.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.4.0_beta8[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ # remove meaningless upper bounds
+ sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+ distutils-r1_src_prepare
+}